## org.apache.poi.hssf.record
Class RecordBase

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase

Direct Known Subclasses:
  Record, RecordAggregate

    public abstract class RecordBase

extends java.lang.Object

Common base class of `Record` and `RecordAggregate`

Author:
  Josh Micich

Constructor Summary
`RecordBase()`

Method Summary
`abstract int` `getRecordSize()` gives the current serialized size of the record.
`abstract int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordBase

    public RecordBase()

Method Detail

### serialize

    public abstract int serialize(int offset,
                                  byte[] data)

  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public abstract int getRecordSize()

  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.